#ifndef EFFECTDEF_H
#define EFFECTDEF_H

#include "xasset.h"
#include "xfxelemdef.h"

#include <QVector>

class XEffectDef : public XAsset
{
public:
    explicit XEffectDef();
    ~XEffectDef();

    void Clear() override;
    void ParseData(XDataStream *aStream) override;

private:
    QString mName;

    int mFlags;
    int mTotalSize;
    int mMsecLoopingLife;
    int mElemDefCountLooping;
    int mElemDefCountOneShot;
    int mElemDefCountEmission;

    QVector<XFxElemDef> mElemDefs;
};

#endif // EFFECTDEF_H
